# Method: cases.patch

Update a case. Only some fields can be updated.

EXAMPLES:

cURL:

    case="projects/some-project/cases/43595344"
    curl \
      --request PATCH \
      --header "Authorization: Bearer $(gcloud auth print-access-token)" \
      --header "Content-Type: application/json" \
      --data '{
        "priority": "P1"
      }' \
      "https://cloudsupport.googleapis.com/v2beta/$case?updateMask=priority"

Python:

    import googleapiclient.discovery

    apiVersion = "v2beta"
    supportApiService = googleapiclient.discovery.build(
        serviceName="cloudsupport",
        version=apiVersion,
        discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
    )
    request = supportApiService.cases().patch(
        name="projects/some-project/cases/43112854",
        body={
            "displayName": "This is Now a New Title",
            "priority": "P2",
        },
    )
    print(request.execute())

### HTTP request

`PATCH https://cloudsupport.googleapis.com/v2beta/{case.name=*/*/cases/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `case.name` | `string` Identifier. The resource name for the case. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` A list of attributes of the case that should be updated. Supported values are `priority`, `displayName`, and `subscriberEmailAddresses`. If no fields are specified, all supported fields are updated. Be careful - if you do not provide a field mask, then you might accidentally clear some fields. For example, if you leave the field mask empty and do not provide a value for `subscriberEmailAddresses`, then `subscriberEmailAddresses` is updated to empty. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases#Case`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/support/docs/reference/rest/v2beta/cases#Case`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsupport`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).